import React from 'react';
import CustomErrorTemplate from './CustomErrorTemplate';

function CustomFieldTemplate(props) {
    var id = props.id,
        classNames = props.classNames,
        help = props.help,
        description = props.description,
        rawErrors = props.rawErrors,
        children = props.children;


    return React.createElement(
        'div',
        { className: classNames, style: { marginTop: '16px', marginBottom: '8px' } },
        description,
        children,
        React.createElement(CustomErrorTemplate, { errors: rawErrors }),
        help
    );
}

export default CustomFieldTemplate;